Skip to Content
Multi-Factor Authentication (MFA)

Test MFA Webhook Endpoint

View Markdown (.md)
POST
/api/v1/public/mfa/workflows/test-webhook

Dispatches a simulated ping event with a computed X-SmsPro-Signature HMAC to test customer webhook server integration.

Authorization

headerX-Api-Key<token>

SMS Pro API Key (sk_live_... or sk_test_...)

Request Body

application/json
  1. body
webhookUrl*string
Formaturi
webhookSecret?string

Response Body

Webhook test dispatch result with status code and latency

application/json
  1. response
status?string
message?string
data?
Example Request
curl -X POST 'https://api.smspro.com/api/v1/public/mfa/workflows/test-webhook' \  -H 'Content-Type: application/json' \  -d '{  "webhookUrl": "http://example.com"}'
Example Response
{  "status": "string",  "message": "string",  "data": {    "delivered": true,    "statusCode": 0,    "latencyMs": 0  }}